summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Chess Griffin2010-04-22 04:32:01 +0200
committer Erik Hanson2010-05-15 10:38:40 +0200
commitf081a0df5d890cf3f0778bfd28c74c2b0d74667f (patch)
tree7e64bef82d870b647b6b79d48bc28b3f79a5a9dc
parentb54b19de0c78a4d527be880c68f32c9c43284c45 (diff)
downloadslackbuilds-f081a0df5d890cf3f0778bfd28c74c2b0d74667f.tar.gz
games/openttd: Updated for version 1.0.0.
Can now use open source graphics, sounds, and music. Thanks to Chess Griffin.
-rw-r--r--games/openttd/README34
-rw-r--r--games/openttd/openttd.SlackBuild36
-rw-r--r--games/openttd/openttd.info14
3 files changed, 67 insertions, 17 deletions
diff --git a/games/openttd/README b/games/openttd/README
index 0ae94bb9ba..6144b4c822 100644
--- a/games/openttd/README
+++ b/games/openttd/README
@@ -1,13 +1,29 @@
-OpenTTD is a clone of the Microprose game "Transport Tycoon Deluxe,"
-a popular game originally written by Chris Sawyer. Significant
-enhancements from the original game include bigger maps, new AI,
-stable multiplayer mode, dedicated server mode, and many in-game updates.
+OpenTTD is a clone of the Microprose game "Transport Tycoon Deluxe," a popular
+game originally written by Chris Sawyer. Significant enhancements from the
+original game include bigger maps, new AI, stable multiplayer mode, dedicated
+server mode, and many in-game updates.
-Several original Windows data files must be copied into the
-/usr/share/games/openttd/data directory before the game can be played.
+Historically, users of OpenTTD needed access to several original Windows data
+files in order to successfully run the game. However, now there are two
+options:
-List of the required files:
-sample.cat trg1r.grf trgcr.grf trghr.grf trgir.grf trgtr.grf
+1. Using open source data files.
+
+There are now open source equivalent files for the graphics (opengfx), sound
+(opensfx), and music (openmsx) data files. This script includes support for
+these three extra downloads and will move the files into the right place so
+long as OPENDATA=YES (which is the default).
+
+2. Using the original Windows data files.
+
+Alternatively, the user can still use the original Windows data files. If the
+original Windows data files are going to be used, then they must be copied into
+the /usr/share/games/openttd/data directory before the game can be played.
+List of the required files: sample.cat trg1r.grf trgcr.grf trghr.grf trgir.grf
+trgtr.grf. Note that the user can either set OPENDATA=NO in which case the
+open source data files will not be used by the script and OpenTTD. Or, the
+user can keep OPENDATA=YES in which case the open source data files will be
+included giving the user the ability to choose which data file set (original
+Windows or open source data files) to use within the game options menu.
-Again, several original files must be copied from the game cd or equivalent.
See the readme.txt or http://wiki.openttd.org for more information.
diff --git a/games/openttd/openttd.SlackBuild b/games/openttd/openttd.SlackBuild
index ff1199e7c8..94f9a2c321 100644
--- a/games/openttd/openttd.SlackBuild
+++ b/games/openttd/openttd.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for OpenTTD
-# Copyright 2007-2009 Chess Griffin <chess@chessgriffin.com>
+# Copyright 2007-2010 Chess Griffin <chess@chessgriffin.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=openttd
-VERSION=${VERSION:-0.7.0}
+VERSION=${VERSION:-1.0.0}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -33,6 +33,13 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# If you want the script to use the open source graphics, sound, and music
+# data files (instead of the original Windows files), keep OPENDATA set to
+# YES. Otherwise, changing it to NO will not include the open source
+# graphics, sound, and music data files and you will need to manually copy
+# over the original Windows data files in order for OpenTTD to run.
+OPENDATA=${OPENDATA:-YES}
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
@@ -51,6 +58,12 @@ mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION-source.tar.bz2
+if [ "$OPENDATA" == "YES" ]; then
+ rm -rf opengfx-0.2.3 opensfx-0.2.3 openmsx-0.2.1
+ unzip -o $CWD/opengfx-0.2.3-all.zip
+ unzip -o $CWD/opensfx-0.2.3-all.zip
+ unzip -o $CWD/openmsx-0.2.1-all.zip
+fi
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -78,7 +91,7 @@ make install DEST_DIR=$PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
( cd $PKG/usr/man
@@ -91,6 +104,21 @@ cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION
rm -f $PKG/usr/doc/$PRGNAM-$VERSION/openttd.6
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+# Copy opengfx, opensfx, and openmsx files if OPENDATA=YES
+if [ "$OPENDATA" == "YES" ]; then
+ # First rename some text files to avoid name collisions when copied
+ rename .txt -opengfx.txt $TMP/opengfx-0.2.3/*
+ rename .txt -opensfx.txt $TMP/opensfx-0.2.3/*
+ rename .txt -openmsx.txt $TMP/openmsx-0.2.1/*
+ # Now copy the data files
+ cp -a $TMP/opengfx-0.2.3/* $PKG/usr/share/games/openttd/data/
+ cp -a $TMP/opensfx-0.2.3/* $PKG/usr/share/games/openttd/data/
+ cp -a $TMP/openmsx-0.2.1/* $PKG/usr/share/games/openttd/gm/
+ # These perms are needed
+ chmod 0644 $PKG/usr/share/games/openttd/data/*
+ chmod 0644 $PKG/usr/share/games/openttd/gm/*
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
diff --git a/games/openttd/openttd.info b/games/openttd/openttd.info
index 46fd9a8bb2..c2f3ae107c 100644
--- a/games/openttd/openttd.info
+++ b/games/openttd/openttd.info
@@ -1,10 +1,16 @@
PRGNAM="openttd"
-VERSION="0.7.0"
+VERSION="1.0.0"
HOMEPAGE="http://www.openttd.org"
-DOWNLOAD="http://downloads.sourceforge.net/openttd/openttd-0.7.0-source.tar.bz2"
+DOWNLOAD="http://binaries.openttd.org/releases/1.0.0/openttd-1.0.0-source.tar.bz2 \
+ http://binaries.openttd.org/extra/opengfx/0.2.3/opengfx-0.2.3-all.zip \
+ http://binaries.openttd.org/extra/opensfx/0.2.3/opensfx-0.2.3-all.zip \
+ http://binaries.openttd.org/extra/openmsx/0.2.1/openmsx-0.2.1-all.zip"
DOWNLOAD_x86_64=""
-MD5SUM="3185dccdb094ada9a1f3f610965c15bc"
+MD5SUM="738c8eac581a4fbd219eae748e5a15ec \
+ 7003b5d2c1a3a0a32568491a9127257b \
+ 3605b82f24153500c8a1804e4420168a \
+ 6a5a466ed94a838db71ddd929c47c6a0"
MD5SUM_x86_64=""
MAINTAINER="Chess Griffin"
EMAIL="chess@chessgriffin.com"
-APPROVED="dsomero"
+APPROVED="Erik Hanson"